API ReferenceManagementDescopers
POST
/v1/mgmt/descoper/list

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

List descopers

curl -X POST "https://api.descope.com/v1/mgmt/descoper/list" \  -H "Content-Type: application/json" \  -d '{}'
{  "descopers": [    {      "id": "string",      "attributes": {        "displayName": "string",        "email": "string",        "phone": "string"      },      "rbac": {        "isCompanyAdmin": true,        "tags": [          {            "tags": [              "string"            ],            "role": "string"          }        ],        "projects": [          {            "projectIds": [              "string"            ],            "role": "string"          }        ]      },      "status": "string",      "loginIDs": [        "string"      ]    }  ],  "total": 0}
export interface Response {descopers?: Descoper[]total?: number}export interface Descoper {id?: string/** * Descopers */attributes?: {displayName?: stringemail?: stringphone?: string}rbac?: {isCompanyAdmin?: booleantags?: DescoperTagRole[]projects?: DescoperProjectRole[]}status?: stringloginIDs?: string[]}export interface DescoperTagRole {tags?: string[]role?: string}export interface DescoperProjectRole {projectIds?: string[]role?: string}
Was this helpful?